class Software < ActiveRecord::Base

  attr_accessible  :acronym, :objectives, :features, :finality, :name, :identifier

  has_one :software_categories

  validates_length_of :finality, :maximum => 120
  validates_length_of :objectives, :maximum => 4000
  validates_length_of :features, :maximum => 4000

  validate :validate_acronym
  validates_presence_of :finality

  def validate_acronym
    self.acronym = "" if self.acronym.nil?
    if self.acronym.length > 10 && self.errors.messages[:acronym].nil?
      self.errors.add(:acronym, _("can't have more than 10 characteres"))
      false
    elsif self.acronym.match(/\s+/)
      self.errors.add(:acronym, _("can't have whitespaces"))
      false
    end
    true
  end

end
